安装nowjs时缺lessnode-waf

这似乎可以是一个最近的问题,因为有两个node.jsnowjs的新版本。 当试图在节点0.7.0-pre和npm的ubuntu 11.04上安装nowjs时

sudo npm install now -g 

我明白了

 /bin/sh: node-waf: not found 

所以节点代理制作失败。 重新安装节点让我无处可去。 请帮忙吗? 我在freenode尝试过#nowjs,但是它是沉默的…

是的,我看到了这个问题 ,但答案对我来说没有意义。 node-waf的确是缺less的,但是如何在节点上运行相同的make再次补救呢?

提前致谢!

       

网上收集的解决方案 "安装nowjs时缺lessnode-waf"

尝试安装nodejs-dev。 node-waf属于那个包

我试图安装在一个新的Ubuntu虚拟机上,最终发现我需要一个C ++编译器。 这为我做了诡计:

 $ sudo apt-get install build-essential libssl-dev curl git core $ npm install now 

通过如何编译/安装node.js(不能configurationcxx编译器!)(Ubuntu)。

安装node-waf完全没有帮助。

我只是升级我的节点版本(从0.4.4到0.6.2),问题解决了!

node-waf改为node-gyp,node-waf不会在windows中受支持。

好。 现在npm安装nodejs-dev失败